UiPath Documentation
test-cloud
latest
false
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。
UiPath logo, featuring letters U and I in white

Test Cloud API ガイド

最終更新日時 2026年4月7日

ユーザーを更新

指定したローカル ユーザーの情報を更新します。

注:

ユーザーのメール アドレスの変更はサポートされていません。ユーザーのメール アドレスを変更する必要がある場合 (会社のドメインの変更など)、新しいメール アドレスを使用してユーザーを招待してから、古いアドレスに関連付けられているアカウントを削除します。

API エンドポイント

PUT {accessURL}/{organizationName}/identity_/api/User/{userId}

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Test Cloudhttps://cloud.uipath.com/
Test Cloud (公共部門向け)https://govcloud.uipath.us/
Test Cloud (専有型)https://{customURL}.dedicated.uipath.com/

スコープ

次のスコープが必要です。

  • PM.User
  • PM.User.Write

要求ヘッダー

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。

パス パラメーター

パラメーターデータ型説明
userId (必須)文字列更新するユーザーの ID です。

要求本文

要求本文には、更新するユーザー情報 (名前、メール アドレス、グループ メンバーシップなど) が含まれます。

{
  "name": "string",
  "surname": "string",
  "email": "user@example.com",
  "isActive": true,
  "password": "string",
  "groupIDsToAdd": [
    "string"
  ],
  "groupIDsToRemove": [
    "string"
  ],
  "bypassBasicAuthRestriction": true,
  "invitationAccepted": true
}
{
  "name": "string",
  "surname": "string",
  "email": "user@example.com",
  "isActive": true,
  "password": "string",
  "groupIDsToAdd": [
    "string"
  ],
  "groupIDsToRemove": [
    "string"
  ],
  "bypassBasicAuthRestriction": true,
  "invitationAccepted": true
}

応答

200 OK

指定した情報でカスタム グループが更新されます。

400 Bad Request

更新を実行できませんでした。

{
    "errors": {
        "bypassBasicAuthRestriction": [
            "Unexpected character encountered while parsing value: h. Path 'bypassBasicAuthRestriction', line 17, position 35.",
            "Unexpected character encountered while parsing value: a. Path 'bypassBasicAuthRestriction', line 17, position 35."
        ]
    },
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "traceId": "00-aec3de9099a9934e9c31e26c19f5e0dd-8c0d3d5f476c7742-00"
}
{
    "errors": {
        "bypassBasicAuthRestriction": [
            "Unexpected character encountered while parsing value: h. Path 'bypassBasicAuthRestriction', line 17, position 35.",
            "Unexpected character encountered while parsing value: a. Path 'bypassBasicAuthRestriction', line 17, position 35."
        ]
    },
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "traceId": "00-aec3de9099a9934e9c31e26c19f5e0dd-8c0d3d5f476c7742-00"
}

要求の例

API 呼び出しの構築に必要な情報をすべて収集したとします。

呼び出しは次の例のようになります (cURL)。

curl --location --request PUT 'https://cloud.uipath.com/{organizationName}/identity_/api/User/her-1909' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
    "name": "Hermione",
    "surname": "Granger-Weasley",
    "email": "hermione@hogwarts.com",
    "groupIDsToAdd": [
        "gryff-01",
        "alumni-02",
        "teachers-03"
    ],
    "groupIDsToRemove": [],
    "bypassBasicAuthRestriction": false
}'
curl --location --request PUT 'https://cloud.uipath.com/{organizationName}/identity_/api/User/her-1909' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
    "name": "Hermione",
    "surname": "Granger-Weasley",
    "email": "hermione@hogwarts.com",
    "groupIDsToAdd": [
        "gryff-01",
        "alumni-02",
        "teachers-03"
    ],
    "groupIDsToRemove": [],
    "bypassBasicAuthRestriction": false
}'

呼び出しが成功した場合、応答は次のようになります。

{
    "succeeded": true,
    "errors": []
}
{
    "succeeded": true,
    "errors": []
}
  • API エンドポイント
  • スコープ
  • 要求ヘッダー
  • パス パラメーター
  • 要求本文
  • 応答
  • 200 OK
  • 400 Bad Request
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得